#include<bits/stdc++.h>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    long long n,k;
    cin>>n>>k;
    vector<long long> vec;
    for(int i=0;i<n;i++) {
        long long a;
        cin>>a;
        vec.push_back(a);
    }
    bool b0=false,b1=false;
    long long br=0;
    for(int i=0;i<n;i++) {
        if(vec[i]==0) {b0=true;}
        if(vec[i]==1) {b1=true;}
        if(b0==true && b1==true) {
            int j;
            for(j=i+1;j<n;j++) {

            }
            i=j-1;
            br++;
            b0=false;
            b1==false;
        }
    }
    if(br>=k-1) {
        cout<<1;
        return 0;
    }
    cout<<0;
    return 0;
}
